Lists
Update list
Updates one or more properties of a list. Only the fields you include are changed.
PATCH
/
api
/
v1
/
lists
/
{id}
Update list
curl --request PATCH \
--url https://api.getarca.app/api/v1/lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"folder_id": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', icon: '<string>', color: '<string>', folder_id: '<string>'})
};
fetch('https://api.getarca.app/api/v1/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', icon: '<string>', color: '<string>', folder_id: '<string>'})
};
fetch('https://api.getarca.app/api/v1/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.getarca.app/api/v1/lists/{id}';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', icon: '<string>', color: '<string>', folder_id: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.getarca.app/api/v1/lists/{id}"
payload = {
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"folder_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getarca.app/api/v1/lists/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"icon\": \"<string>\",\n \"color\": \"<string>\",\n \"folder_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://api.getarca.app/api/v1/lists/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"icon\": \"<string>\",\n \"color\": \"<string>\",\n \"folder_id\": \"<string>\"\n}")
.asString();import Foundation
let parameters = [
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"folder_id": "<string>"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.getarca.app/api/v1/lists/{id}")!
var request = URLRequest(url: url)
request.httpMethod = "PATCH"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/lists/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"icon\": \"<string>\",\n \"color\": \"<string>\",\n \"folder_id\": \"<string>\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.getarca.app/api/v1/lists/{id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"name\": \"<string>\",\n \"icon\": \"<string>\",\n \"color\": \"<string>\",\n \"folder_id\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.getarca.app/api/v1/lists/{id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"name\": \"<string>\",\n \"icon\": \"<string>\",\n \"color\": \"<string>\",\n \"folder_id\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/lists/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"icon\": \"<string>\",\n \"color\": \"<string>\",\n \"folder_id\": \"<string>\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"name\": \"<string>\",\n \"icon\": \"<string>\",\n \"color\": \"<string>\",\n \"folder_id\": \"<string>\"\n}")
val request = Request.Builder()
.url("https://api.getarca.app/api/v1/lists/{id}")
.patch(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"id": 25,
"workspace_id": 3,
"folder_id": 10,
"name": "API Integration Tasks",
"icon": "folder-1",
"color": "green",
"position": 3,
"created_at": "2026-03-18T11:00:00.000Z"
}
{
"error": "Invalid API key"
}
{
"error": "Scope 'lists:write' is required for this endpoint"
}
{
"error": "List not found"
}
Requires the
lists:write scope. Viewers cannot edit lists.Path parameters
string
required
The numeric list ID.
Request body
All fields are optional. Send only the fields you want to update.string
New list name.
string
Icon identifier slug.
string
List color.
string
Move the list to a different folder by passing a new folder ID.
Response
Returns the full updated list object.number
required
List identifier.
number
required
Workspace this list belongs to.
number | null
Parent folder ID.
null if not inside a folder.string
required
List name.
string | null
Icon.
string | null
Color.
number
required
Sort position (unchanged by this endpoint).
string
required
UTC ISO-8601 creation timestamp.
{
"id": 25,
"workspace_id": 3,
"folder_id": 10,
"name": "API Integration Tasks",
"icon": "folder-1",
"color": "green",
"position": 3,
"created_at": "2026-03-18T11:00:00.000Z"
}
{
"error": "Invalid API key"
}
{
"error": "Scope 'lists:write' is required for this endpoint"
}
{
"error": "List not found"
}
Was this page helpful?
⌘I
Update list
